export const columns = (_this) => {
  return [
    {
      prop: 'nickName',
      label: '用户名称',
      align: 'center'
    },
    {
      prop: 'userName',
      label: '登录账号'
    },
    {
      prop: 'deptName',
      label: '所属部门'
    },
    {
      prop: 'majorName',
      label: '所属专业'
    },
    {
      prop: 'sex',
      label: '性别',
      width: '80px',
      render: (h, params) => {
        if (params.row.sex == 1) {
          return h('span', '男')
        } else {
          return h('span', '女')
        }
      }
    },
    {
      prop: 'phonenumber',
      label: '联系方式'
    },
    {
      prop: 'remark',
      label: '备注'
    }
  ]
}

export const options = {
  stripe: false, // 斑马纹
  mutiSelect: true, // 多选框
  index: false, // 显示序号， 多选则 mutiSelect
  loading: false, // 表格动画
  border: true,
  initTable: true, // 是否一挂载就加载数据
  height: 'calc(100vh - 500px)'
}
